package com.xisc.pm.infra.repository.impl;

import org.apache.commons.collections.CollectionUtils;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;
import com.xisc.pm.domain.entity.PmPlateThickAddvBtTra;
import com.xisc.pm.domain.repository.PmPlateThickAddvBtTraRepository;
import com.xisc.pm.infra.mapper.PmPlateThickAddvBtTraMapper;

import javax.annotation.Resource;
import java.util.List;

/**
 * 钢板轧制规格及厚度余量基准表履历表(PmPlateThickAddvBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-23 17:19:58
 */
@Component
public class PmPlateThickAddvBtTraRepositoryImpl extends BaseRepositoryImpl<PmPlateThickAddvBtTra> implements PmPlateThickAddvBtTraRepository {
    @Resource
    private PmPlateThickAddvBtTraMapper pmPlateThickAddvBtTraMapper;

    @Override
    public List<PmPlateThickAddvBtTra> selectList(PmPlateThickAddvBtTra pmPlateThickAddvBtTra) {
        return pmPlateThickAddvBtTraMapper.selectList(pmPlateThickAddvBtTra);
    }

    @Override
    public PmPlateThickAddvBtTra selectByPrimary(Long traId) {
        PmPlateThickAddvBtTra pmPlateThickAddvBtTra = new PmPlateThickAddvBtTra();
        pmPlateThickAddvBtTra.setTraId(traId);
        List<PmPlateThickAddvBtTra> pmPlateThickAddvBtTras = pmPlateThickAddvBtTraMapper.selectList(pmPlateThickAddvBtTra);
        if (CollectionUtils.isEmpty(pmPlateThickAddvBtTras)) {
            return null;
        }
        return pmPlateThickAddvBtTras.get(0);
    }
}
